### robocode.control.events

# Class BattleMessageEvent

- `java.lang.Object`
- - `robocode.control.events.BattleEvent`
  - - `robocode.control.events.BattleMessageEvent`

`public class BattleMessageEvent`
`extends BattleEvent`

A BattleMessageEvent is sent to `onBattleMessage()` when an information message is sent from the game in the during the battle.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

See Also:
  `IBattleListener`, `BattleErrorEvent`

  ## Constructor Summary

  `BattleMessageEvent(String message)`
    Creates a new BattleMessageEvent.

  ## Method Summary

  `String`

  `getMessage()`
    Returns the information message.

## Constructor Details

### BattleMessageEvent

    public BattleMessageEvent(String message)

> Creates a new BattleMessageEvent.
> Parameters:
>   `message` - the information message.

## Method Details

### getMessage

    public String getMessage()

> Returns the information message.
> Returns:
>   the information message.